import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiVerticalLayoutCommandHandler, UiVerticalLayoutConfig } from "../generated/UiVerticalLayoutConfig";
import { UiComponent } from "./UiComponent";
export declare class UiVerticalLayout extends AbstractUiComponent<UiVerticalLayoutConfig> implements UiVerticalLayoutCommandHandler {
    private $verticalLayout;
    private children;
    constructor(config: UiVerticalLayoutConfig, context: TeamAppsUiContext);
    doGetMainElement(): HTMLElement;
    addComponent(childComponent: UiComponent): void;
    removeComponent(childComponent: UiComponent): void;
}
